function f = GaborFilter_creation

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Create 8 Gabor filters and filter which has frequency-selective and 
% orientation-selective properties.
%
% Plot the filters in the interface. If ploting = true, plot in another
% figure
%
% Outputs : - f : Gabor filters
%           - h : boolean (if plot => true)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

norient=8;  %define the parameters for the gabor filters
xsize=32;   %filter size: x
ysize=32;   %filter size: y
dx=8;       %standard deviation of the gaussian envelope: x
dy=4;       %standard deviation of the gaussian envelope: y
fq=0.11;    %frequency

angle = 0:pi/norient:pi-pi/norient;
n=1;
h = 0;


%filtering and feature extraction
for a=angle
    %(xsize,ysize,tx, ty, angle, f) 
    f{n}=BuildGaborFilter(xsize, ysize, dx, dy, a, fq);%#ok<AGROW> %build the filter
    n=n+1;
end
