function [fingercode Fmasked] = fingercode_creation(imOriginal, Gfilt, core, maskSize, dia)

% Funkce pro vypocet FingerCode priznaku z otisku prstu.
%
% [fingercode Fmasked] = fingercode_creation(imOriginal, Gfilt, core, maskSize, dia)
%
%   vstupy: imOriginal - vstupni obrazek otisku
%           Gfilt - banka Gaborovych filtru
%           core - [x;y] souradnice jadra otisku
%           maskSize - velikost bloku pri blokovem zpracovani (deafult 16)
%           dia - velikost [vnejsi vnitrni] polomer masky
%
%   vystupy: fingercode - priznakovy vektor pro obrazek
%            Fmasked - ilustracni blokovy obrazek s vyrizlym mezikruzim

if ~exist('maskSize', 'var'), maskSize = []; end
if isempty(maskSize), maskSize = 16; end
if ~exist('dia', 'var'), dia = []; end
if isempty(dia), dia = [6 2]; end

% DOPLNIT

